package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 窗口考核审查结果
 */
public enum WindowCheckResultEnum {
    通过(1, "通过"),
    不通过(2, "不通过");
    private Integer value;
    private String desc;

    WindowCheckResultEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WindowCheckResultEnum getByValue(Integer value) {
        for (WindowCheckResultEnum WindowCheckResultEnum : WindowCheckResultEnum.values()) {
            if (WindowCheckResultEnum.getValue() == value) {
                return WindowCheckResultEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (WindowCheckResultEnum item : WindowCheckResultEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
